<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesAdherencia.home.createOrEditLabel"
          data-cy="AdherenciaCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesAdherencia.home.createOrEditLabel')"
        >
          Create or edit a Adherencia
        </h2>
        <div>
          <div class="form-group" v-if="adherencia.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="adherencia.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAdherencia.horaToma')" for="adherencia-horaToma"
              >Hora Toma</label
            >
            <div class="d-flex">
              <input
                id="adherencia-horaToma"
                data-cy="horaToma"
                type="datetime-local"
                class="form-control"
                name="horaToma"
                :class="{ valid: !$v.adherencia.horaToma.$invalid, invalid: $v.adherencia.horaToma.$invalid }"
                :value="convertDateTimeFromServer($v.adherencia.horaToma.$model)"
                @change="updateInstantField('horaToma', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAdherencia.respuesta')" for="adherencia-respuesta"
              >Respuesta</label
            >
            <input
              type="checkbox"
              class="form-check"
              name="respuesta"
              id="adherencia-respuesta"
              data-cy="respuesta"
              :class="{ valid: !$v.adherencia.respuesta.$invalid, invalid: $v.adherencia.respuesta.$invalid }"
              v-model="$v.adherencia.respuesta.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAdherencia.valor')" for="adherencia-valor">Valor</label>
            <input
              type="number"
              class="form-control"
              name="valor"
              id="adherencia-valor"
              data-cy="valor"
              :class="{ valid: !$v.adherencia.valor.$invalid, invalid: $v.adherencia.valor.$invalid }"
              v-model.number="$v.adherencia.valor.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAdherencia.comentario')" for="adherencia-comentario"
              >Comentario</label
            >
            <input
              type="text"
              class="form-control"
              name="comentario"
              id="adherencia-comentario"
              data-cy="comentario"
              :class="{ valid: !$v.adherencia.comentario.$invalid, invalid: $v.adherencia.comentario.$invalid }"
              v-model="$v.adherencia.comentario.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAdherencia.medicamento')" for="adherencia-medicamento"
              >Medicamento</label
            >
            <select
              class="form-control"
              id="adherencia-medicamento"
              data-cy="medicamento"
              name="medicamento"
              v-model="adherencia.medicamento"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  adherencia.medicamento && medicamentoOption.id === adherencia.medicamento.id ? adherencia.medicamento : medicamentoOption
                "
                v-for="medicamentoOption in medicamentos"
                :key="medicamentoOption.id"
              >
                {{ medicamentoOption.nombre }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAdherencia.paciente')" for="adherencia-paciente"
              >Paciente</label
            >
            <select class="form-control" id="adherencia-paciente" data-cy="paciente" name="paciente" v-model="adherencia.paciente">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="adherencia.paciente && pacienteOption.id === adherencia.paciente.id ? adherencia.paciente : pacienteOption"
                v-for="pacienteOption in pacientes"
                :key="pacienteOption.id"
              >
                {{ pacienteOption.nombre }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.adherencia.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./adherencia-update.component.ts"></script>
